Loading...
Searching...
No Matches
BALL::RDFSection Class Reference
Molecular Modeling » Molecular Structure » Radial Distribution Functions

`#include <BALL/STRUCTURE/RDFSection.h>`

Inheritance diagram for BALL::RDFSection:

## Public Types

Enums
enum | Type { UNKNOWN_TYPE = 0 , PIECEWISE_POLYNOMIAL = 1 }
Public Types inherited from BALL::ParameterSection
enum | { MAX_FIELDS = 20 }

## Public Member Functions

Constructors and destructors
| RDFSection ()
| RDFSection (const RDFSection &rdf_section)
virtual | ~RDFSection ()
Assignment
const RDFSection & | operator= (const RDFSection &rdf_section)
virtual void | clear ()
Parameter extraction
virtual bool | extractSection (Parameters &parameters, const String &section_name)
Accessors
const RadialDistributionFunction & | getRDF () const
Public Member Functions inherited from BALL::ParameterSection
| ParameterSection ()
| ParameterSection (const ParameterSection &parameter_section)
virtual | ~ParameterSection ()
bool | extractSection (Parameters &parameters, const String &section_name)
const String & | getSectionName () const
const String & | getValue (const String &key, const String &variable) const
bool | has (const String &key, const String &variable) const
bool | has (const String &key) const
bool | hasVariable (const String &variable) const
Position | getColumnIndex (const String &variable) const
Size | getNumberOfVariables () const
Size | getNumberOfKeys () const
const String & | getValue (Position key_index, Position variable_index) const
const String & | getKey (Position key_index) const
const ParameterSection & | operator= (const ParameterSection &section)
virtual bool | isValid () const
bool | operator== (const ParameterSection &parameter_section) const

## Predicates

RadialDistributionFunction | rdf_
bool | operator== (const RDFSection &section) const

## Additional Inherited Members

Options | options
Static Public Attributes inherited from BALL::ParameterSection
static const String | UNDEFINED
String | section_name_
String | format_line_
StringHashMap< Index > | section_entries_
StringHashMap< Index > | variable_names_
std::vector< String > | entries_
std::vector< String > | keys_
Size | number_of_variables_
std::vector< float > | version_
bool | valid_

## Detailed Description

Helper class for RDFParameter.

Definition at line 21 of file RDFSection.h.

## Member Enumeration Documentation

## Type

enum BALL::RDFSection::Type

Enumerator
UNKNOWN_TYPE |
PIECEWISE_POLYNOMIAL |

Definition at line 32 of file RDFSection.h.

## Constructor & Destructor Documentation

## RDFSection() [1/2]

BALL::RDFSection::RDFSection | ( |  | ) |

Default constructor

## RDFSection() [2/2]

BALL::RDFSection::RDFSection | ( | const RDFSection & | rdf_section | ) |

Copy constructor

## ~RDFSection()

virtual BALL::RDFSection::~RDFSection | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## clear()

virtual void BALL::RDFSection::clear | ( |  | ) |

virtual

Clear method

Reimplemented from BALL::ParameterSection.

## extractSection()

virtual bool BALL::RDFSection::extractSection | ( | Parameters & | parameters,
|  | const String & | section_name )

virtual

## getRDF()

const RadialDistributionFunction & BALL::RDFSection::getRDF | ( |  | ) | const

return the RDF created by extractSection()

## operator=()

const RDFSection & BALL::RDFSection::operator= | ( | const RDFSection & | rdf_section | ) |

## operator==()

bool BALL::RDFSection::operator== | ( | const RDFSection & | section | ) | const

Equality operator

## Member Data Documentation

## rdf_

RadialDistributionFunction BALL::RDFSection::rdf_

protected

Definition at line 99 of file RDFSection.h.